> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-mcp-server.md).

# cloudMcpServer

Detection evidence that classified a cloud asset as an MCP server.

### Examples

```graphql
type CloudMcpServer {
  signals: [McpServerSignal]
  tools: [McpServerTool]
}
```

### Fields

| Field                                                                                                                  | Description                                                                                        | Supported fields                                                                                                              |
| ---------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- |
| signals [`[McpServerSignal]`](/api-documentation/api-reference/api--cloud-security/types/objects/mcp-server-signal.md) | Signals that classified the asset as an MCP server. Absent when no signals were recorded.          | <p>signal <code>String</code><br>where <code>String</code><br>matched <code>String</code></p>                                 |
| tools [`[McpServerTool]`](/api-documentation/api-reference/api--cloud-security/types/objects/mcp-server-tool.md)       | Tools the MCP server advertises to its clients. Absent when the server did not report a tool list. | <p>name <code>String</code><br>type <code>String</code><br>description <code>String</code><br>args <code>\[String]</code></p> |

### References

#### Fields with this object:

* [{} CloudItem.mcpServer](/api-documentation/api-reference/api--cloud-security/types/objects/cloud-item.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--cloud-security/types/objects/cloud-mcp-server.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
